Skip to main content
GET
/
agent-profiles
/
{profileId}
/
inbox-emails
/
{emailId}
Get Agent Profile Inbox Email
curl --request GET \
  --url https://odyssey.asteroid.ai/agents/v2/agent-profiles/{profileId}/inbox-emails/{emailId} \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>'
import requests

url = "https://odyssey.asteroid.ai/agents/v2/agent-profiles/{profileId}/inbox-emails/{emailId}"

headers = {"X-Asteroid-Agents-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Asteroid-Agents-Api-Key': '<api-key>'}};

fetch('https://odyssey.asteroid.ai/agents/v2/agent-profiles/{profileId}/inbox-emails/{emailId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "from": "<string>",
  "id": "<string>",
  "subject": "<string>",
  "to": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "html": "<string>",
  "replyTo": [
    "<string>"
  ],
  "text": "<string>"
}
{
  "code": 400,
  "message": "<string>"
}
{
  "code": 401,
  "message": "<string>"
}
{
  "code": 403,
  "message": "<string>"
}
{
  "code": 404,
  "message": "<string>"
}
{
  "code": 500,
  "message": "<string>"
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

profileId
string<uuid>
required

The ID of the agent profile

emailId
string
required

The Resend email ID

Response

The request has succeeded.

Full content of a single email in the agent profile's inbox

createdAt
string<date-time>
required

When the email was received

from
string
required

Sender address

id
string
required

Unique email ID from Resend

subject
string
required

Email subject

to
string[]
required

Recipient addresses

bcc
string[]

BCC recipients, if any

cc
string[]

CC recipients, if any

html
string

HTML body, if available

replyTo
string[]

Reply-to addresses, if any

text
string

Plain-text body, if available